#
# spec file for package qcserial (Version 2.6.32)
#
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#
# norootforbuild
#

Name:		qcserial
BuildRequires:	kernel-source kernel-syms module-init-tools
Summary:	Qualcomm USB Serial driver
Version:	2.6.32
Release:	5.4
Group:		System/Kernel
License:	GPL v2
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
Source:		%{name}-%{version}.tar.bz2
Source1:	preamble
Source100:	%{name}.changes
Patch0:		qcserial-gps-2.6.32.patch
Autoreqprov:	on
%suse_kernel_module_package -p %_sourcedir/preamble kdump um ec2

%description
This package contains a kernel module for Qualcomm USB serial devices (i.e. UMTS modems) backported from linux 2.6.31.

%package KMP
Summary:	Qualcomm USB Serial driver
Group:	System/Kernel

%description KMP
This package contains a kernel module for Qualcomm USB serial devices (i.e. UMTS modems) backported from linux 2.6.31.

%prep
%setup -q
%patch0

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
		M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
if [ $flavor != debug ] ; then
        find . -iname "*.ko" -exec strip --strip-debug {} \;
fi
	make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
		M=$PWD/obj/$flavor
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Oct 10 2010 cs@linux-administrator.com
- added patch to enable gps & diagnostic monitor
  Gobi 2000 device will provide 3 serial ports:
    [#] /dev/ttyUSB0 -> Diagnostics
    [#] /dev/ttyUSB1 -> 3G Modem
    [#] /dev/ttyUSB2 -> NMEA GPS port
  * The Diagnostics Monitor uses Qualcomm's DM protocol; I used
  libqcdm (ModemManager) to talk to it, found it working, but at
  least DM commands 12 and 64 are not implemented on my device
  (Gobi 2000 built into Thinkpad x100e).
  * Functionality of the 3G Modem port remains unchanged.
  * The GPS port and how to enable it has been confirmed now in the
  Gobi 3000 source code at:
  https://www.codeaurora.org/patches/quic/gobi/
  Enable/disable GPS via:
    echo "\$GPS_START" > /dev/ttyUSB2
    [#] use GPS
    echo "\$GPS_STOP"  > /dev/ttyUSB2
* Fri Oct  8 2010 cs@linux-administrator.com
- version bumped to 2.6.32
- added gobi patch for 2.6.32 which adds usb-wwan module
* Sun Mar 14 2010 AxelKoellhofer@web.de - 2.6.31
- version bumped to 2.6.31 (qcserial.c did not change between 2.6.30 and 2.6.31)
- disabled build ec2-flavor on openSUSE 11.1
* Fri May  1 2009 AxelKoellhofer@web.de - 2.6.30
- initial package, sources from linux-2.6.30-rc3
